
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>pkg-config的用法 / iVAN</title>

    <meta name="description" content="pkg-config的用法 pkg-config的用法 pkg-config pkg-config程序是干什么用的?简单的说就是向用户向程序提供相应库的路径.版本号等信息的程序. 譬如说我们运行以下命令:pkg-config  查看gcc的CFLAGS参数 $pkg-config --libs --cflags opencv 会显示如下信息: -I/usr/include/opencv -lcxcore -lcv -lhighgui -lcvaux 各位看官,你看这不就是我们用gcc编译连接时CFLAGS的参数吗? 因此当">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">pkg-config的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2><a href="http://www.cppblog.com/colorful/archive/2012/05/05/173750.html" rel="external nofollow noreferrer">pkg-config的用法</a></h2>

<h4><strong>pkg-config</strong></h4>
<p>pkg-config程序是干什么用的？简单的说就是向用户向程序提供相应库的路径、版本号等信息的程序。</p>
<p>譬如说我们运行以下命令：<br />pkg-config  查看gcc的CFLAGS参数</p>
<p>$<strong>pkg-config</strong> --libs --cflags opencv</p>
<p>会显示如下信息：</p>
<p>-I/usr/include/opencv -lcxcore -lcv -lhighgui -lcvaux</p>
<p>各位看官，你看这不就是我们用gcc编译连接时CFLAGS的参数吗？</p>
<p>因此当我们需要编译连接某个库时，我们只需要把上面那行加入gcc 的参数里面即可。</p>
<p>这也是configure的作用，它会检查你需要的包，产生相应的信息。</p>
<p>那pkg-config从哪儿知道这些信息的呢？它是从包名为xxx.pc这个文件中查找到的。拿上面那个例子说，它是从opencv.pc这个文件中查知的。</p>
<p>那<strong>pkg-config</strong> 又怎么会知道opencv.pc这个文件呢？</p>
<p>下面我们看一下pkg-config是怎样工作的。</p>
<p>缺省情况下，<strong>pkg-config</strong>首 先在prefix/lib/pkgconfig/中查找相关包（譬如opencv）对应的相应的文件（opencv.pc）。在linux上上述路径名为 /usr/lib/pkconfig/。若是没有找到，它也会到PKG_CONFIG_PATH这个环境变量所指定的路径下去找。若是没有找到，它就会报 错，例如：</p>
<p>Package opencv was not found in the <strong>pkg-config</strong> search path.<br />Perhaps you should add the directory containing `opencv.pc'<br />to the PKG_CONFIG_PATH environment variable<br />No package 'opencv' found</p>
<p>设置环境变量PKG_CONFIG_PATH方法举例如下：</p>
<p>export PKG_CONFIG_PATH=/cv/lib:$PKG_CONFIG_PATH</p>
<p>================================================================<br />查看一个.pc文件的内容：<br />[root@yx pkgconfig]# cat glib-2.0.pc <br />prefix=/usr<br />exec_prefix=/usr<br />libdir=/lib<br />includedir=/usr/include<br />configexecincludedir=/usr/lib/glib-2.0/include</p>
<p>glib_genmarshal=glib-genmarshal<br />gobject_query=gobject-query<br />glib_mkenums=glib-mkenums</p>
<p>Name: GLib<br />Description: C Utility Library<br />Version: 2.12.3<br />Libs: -L${libdir} -lglib-2.0  <br />Cflags: -I${includedir}/glib-2.0 -I${configexecincludedir}</p>
<p>[root@yx pkgconfig]# pwd<br />/usr/lib/pkgconfig</p>
<p>可见.pc文件 是对其的库文件路径，头文件路径，版本号，Cflags等一些参数进行封装。</p>
<p>再来看看第一个Gtk+程序里的 `pkg-config   --cflags   --libs  gtk+-2.0`意思： <br />`pkg-config   --cflags   --libs  gtk+-2.0` 是pkg-config从路径/usr/lib/pkgconfig<br />/gtk+-2.0.pc中提取出来的用于编译用的。<br />[root@yx pkgconfig]# cat  gtk+-2.0.pc <br />prefix=/usr<br />exec_prefix=/usr<br />libdir=/usr/lib<br />includedir=/usr/include<br />target=x11</p>
<p>gtk_binary_version=2.10.0<br />gtk_host=i686-redhat-linux-gnu</p>
<p>Name: GTK+<br />Description: GIMP Tool Kit (${target} target)<br />Version: 2.10.4<br />Requires: gdk-${target}-2.0 atk cairo<br />Libs: -L${libdir} -lgtk-${target}-2.0 <br />Cflags: -I${includedir}/gtk-2.0 </p>
<p>显然，出可以自己来指定为：-L/usr/lib  -lgtk-{target}-2.0  -I/usr/include/gtk-2.0<br />下面来看一下{target}该是多少：</p>
<p>[root@yx lib]# ls gt<br />gthumb/        gtk-2.0/       gtkhtml/       <br />gtk/           gtk-sharp-2.0/ gtkmm-2.4/     </p>
<p>[root@yx lib]# ls gtk-2.0/<br />2.10.0  2.4.0  immodules  include  modules</p>
<p>[root@yx lib]# ls gtk-sharp-2.0/<br />gconfsharp-schemagen.exe</p>
<p>[root@yx lib]# pwd<br />/usr/lib<br />所以认为-lgtk-{target}-2.0中的{target}该是空字符:  <br />-lgtk-{target}-2.0====&gt;-lgtk--2.0</p>
<p>At Last So:（理论大致上：）<br />-L/usr/lib  -lgtk-{target}-2.0  -I/usr/include/gtk-2.0  ====&gt;<br />-L/usr/lib  -lgtk--2.0  -I/usr/include/gtk-2.0<br />而实际上更多些：<br />对比pkg-config对gtk+-2.0看实际效果：<br />[yuxu@yx base]$ pkg-config  --cflags  --libs  gtk+-2.0<br />-I/usr/include/gtk-2.0  -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  -L/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  <br />后面还有很多的路径哦。</p>
<p>gtk_base.c:<br />#include &lt;gtk/gtk.h&gt;<br />int main(int argc,char *argv[])<br />{<br />    GtkWidget  *window;<br />    gtk_init(&amp;argc,&amp;argv);<br />    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);<br />    gtk_widget_show(window);<br />    gtk_main();<br />    return FALSE;<br />}</p>
<p>gcc   -o     gtk_base      gtk_base.c    `pkg-config   --cflags   --libs  gtk+-2.0`</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 11:39:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/gcc/" title="gcc">gcc</a>, <a href="https://www.iamivan.net/tag/prefix/" title="prefix">prefix</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>pkg-config的用法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q2O6p.html" rel="bookmark">CodeIgniter配置之config&period;php用法实例分析&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例分析了CodeIgniter配置之config.php用法.分享给大家供大家参考,具体如下: 配置说明 $config['language']:指定项目语言包.需要注意的时Codeigniter自带的类库错误提示语言包位于/system/language/english/目录下,当这里配置非english时, 如果需要用到这些类库,则需要拷贝语言包到指定的目录中,否则会出现load出错. $config['charset']:设置系统使用的编码,在某些需要指定编码的函数中会用到,系统.数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5QLAz.html" rel="bookmark">ASP&period;NET配置文件Web&period;config用法详解&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了ASP.NET配置文件Web.config用法,分享给大家供大家参考.具体分析如下: 一.认识Web.config文件 Web.config文件是一个XML文本文件,它用来储存 ASP.NET Web 应用程序的配置信息(如最常用的设置ASP.NET Web 应用程序的身份验证方式),它可以出现在应用程序的每一个目录中.当你通过VB.NET新建一个Web应用程序后,默认情况下会在根目录自动创建一个默认的   Web.config文件,包括默认的配置设置,所有的子目录都继承它的配置设			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zG7xkz.html" rel="bookmark">数据库连接字在Web&period;config里的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|数据|数据库|数据库连接 在asp.net中的WEB程序的设置中我们必须用到Web.config来存储数据库连接字.事实上这是个 很好的做法,因为可以省去我们很多的麻烦还可以帮助我们避免不必要的错位,是的很多情况下 我就是这样做.它通过XML来记录这些信息.具体的是在&lt;appSettings&gt;....&lt;/appSettings&gt;这个 标记中来记录的.这里请看一个ORACLE的例子如下: &lt;appSettings&gt;    &lt;add key=&quot;ORA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlLyGqM.html" rel="bookmark">machine&period;config的详细用法与配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 哪里有,我搜索了半天.web.config到是知道一些..........好像大家都没怎么用这个,期待有用过的解释解释一下里面的东西. 解决方案 解决方案二:machine.config这个东西最好不要乱搞..解决方案三:你在msdn里搜一下machine.config会有详细的说明..解决方案四:是的,去msdn吧.解决方案五:我程序出了点问题,需要对machine.config进行配置.....我在MSDN里面搜不到这个,能不能给个地址什么的,谢谢了//你现在不动machine.c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4kerYp.html" rel="bookmark">web&period;config 文件的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我之前用apicloud做了一个安卓的客户端,然后上面说连服务器数据库那些,然后他们给了我一个web.config文件.说这里面有连接数据库的信息.但是我之前没有接触过.不知道该怎么弄,求大神们指导一下下一步应该怎么做.谢谢大家了 解决方案 解决方案二:web.config不过就是个xml文件而已,你用记事本打开,或者如果你不需要改,用IE打开也行,然后就可以看里面的内容了解决方案三:连接数据库的信息,无非就是类似下面的字符串:connectionString=&quot;DataSource=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPa9rz.html" rel="bookmark">掌握 &period;NET 1&period;1 的配置文件用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在 .NET 1.1 中,我们都知道可以使用 app.config 或者 web.config (ASP.NET) 来保存一些设置.可是对于大多数人来说,可能用的最多的只是把它当作一个简单的 ini 文件来存储 key-value 键值对,比如数据库链接字符串,上传文件路径之类的.但是实际上配置文件里可以存放任意复杂的结构.如果读过 DNN,.Text 之类程序的代码,就可以找到这些应用的范例.不过这些项目的代码一般都比较繁杂,因此这里我结合 .Text 的配置方法,对配置文件的用法来做一个简单			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bBV0Jb.html" rel="bookmark">J2EE探索者：隐式对象的多种用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				j2ee|对象 接着上月对会话作用域的介绍,企业 Java 专家 Kyle Gabhart 深入研究了 JSP 隐式对象的多种用法.接下来,他将介绍 9 个隐式对象,解释每个对象的用途(或者多种用途),最后给出一些怎样在 JSP 编程中使用这些便利工具的最佳实践.您可以到我们的 讨论论坛 中分享您对这篇文章或者 J2EE 探索者 系列中的任何其他文章的想法. 本期的 J2EE探索者 是上个月的 正确处理会话作用域入门 的续篇.除了访问会话作用域之外,JSP 隐式对象还可以用来处理 HTML 参数			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5jXWz.html" rel="bookmark">全编辑WebGrid控件LrcGrid&lpar;２&rpar;&mdash;&mdash;用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|控件 用法比较简单,不必写一行代码(这是我的控件编写的主要目的之一). 共有三步: 第一步:在页面中引用脚本库和CSS样式表库,本来是可以封闭到资源文件中的,这一步懒得做了:) 代码如下: &lt;LINK href=&quot;MyFSheet.css&quot; type=&quot;text/css&quot; rel=&quot;stylesheet&quot;&gt; &lt;script language=&quot;javascript&quot; src=&quot;UpdArra			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOB6xp.html" rel="bookmark">config&period;sys的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CONFIG.SYS是DOS系统中的一个重要文件,它的配置直接影响到系统的使用及其效率.如果配置不当的话,可能很多程序都无法正常运行.因此,正确合理地配置CONFIG.SYS文件是十分必要和重要的.下面我向大家介绍一下CONFIG.SYS中的命令及其配置方法. CONFIG.SYS中的命令: 注意:所有以HIGH结尾的命令(如DEVICEHIGH)表示将其调入UMB(上位内存),但有些这样的命令(如FILESHIGH)必须在MS-DOS 7.x版本中使用. ACCDATE :指定对每一个驱动器是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2AVrM.html" rel="bookmark">linux中git和github的基本用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				git config --global user.name &quot;woaigithub&quot; git config --global user.email &quot;jorden008@gmail.com&quot; //新建公钥和私钥 ssh-keygen -C &quot;jorden008@gmail.com&quot; -t rsa //显示公钥内容,拷贝到github的settings的public key中 cat /home/andy/.ssh/id_rsa.pub //测试和			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNk8Pp.html" rel="bookmark" class="title">透明玻璃质感长圆形按钮制作技法</a>
					<div>
						按钮|透明 1. 在Photoshop5.5(或者更高版本)中建立新文件120x80 大小, RGB模式Contents,设为Transparent( 透明 ),layer1填充为白色,上加一层,建立 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pL08Zp.html" rel="bookmark" class="title">Photoshop字体特效--日光灯字</a>
					<div>
						在本例中,我们将制作一个日光灯的字体效果,所运用到的主要命令有:Gaussian Blur;Maximum;Emboss;Apply Image. 1 执行File&gt;Open命令,打开一个背景文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM90Kdb.html" rel="bookmark" class="title">建站经验：网站页面的均衡规划与选择</a>
					<div>
						1.尺寸 a)800*600能照顾到所有网友的电脑,但相当是张&quot;小报&quot;. b)1024*768渐成主流.1024*768能比800*600多出一栏的信息. c)正文页采用自适应设计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvDeaz.html" rel="bookmark" class="title">ASP如何获取客户端真实IP地址</a>
					<div>
						ip地址|客户端 在ASP中使用 Request.ServerVariables(&quot;REMOTE_ADDR&quot;) 来取得客户端的IP地址,但如果客户端是使用代理服务器来访问,那取到的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPQRDz.html" rel="bookmark" class="title">多域名一网站时如果返回最原来的域名</a>
					<div>
						&lt;%host=lcase(request.servervariables(&quot;HTTP_HOST&quot;))SELECT CASE host' Just change the CAS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrZrxM.html" rel="bookmark" class="title">B2C电子商务网站站内优化细节问题分析</a>
					<div>
						随着电子商务的快速发展很多中小企业不但建立自己的企业网站,而且将目光转移到了B2C平台这块,因为自己的电子商务分销平台,不仅仅可以提高销售业绩,而且也是企业直接面对客户建立自己品牌的有效渠道之一,鉴于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrLRmz.html" rel="bookmark" class="title">memcache中add、set和replace有什么区别</a>
					<div>
						用过memcache的人都有一个疑惑,那就是memcache中为什么会有一个add方法.一个set方法.一个replace呢,这几个方法又有着什么样的区别呢,下边我们来分析下这几个方法的不同之处: m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AAE6p.html" rel="bookmark" class="title">Asp&period;net mvc 2中使用Ajax的三种方式</a>
					<div>
						在Asp.net MVC中,我们能非常方便的使用Ajax.这篇文章将介绍三种Ajax使用的方式,分别为原始的Ajax调用.Jquery.Ajax Helper.分别采用这三种方式结合asp.net m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k2Nrz.html" rel="bookmark" class="title">教你学会怎样升级到SQL Anywhere10（11）</a>
					<div>
						UltraLite数据库升级路径 因为可使用多种不同的方法创建UltraLite数据库,所以升级过程也可能相应不同.下表列出了要升级数据库的方法. 如果需要升级较早版本的: · 模式文件(.usm)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxD7ob.html" rel="bookmark" class="title">Photoshop技巧之滤镜技巧</a>
					<div>
						98. 滤镜快捷键 Ctrl+F--再次使用刚用过的滤镜. Ctrl+Alt+F--用新的选项使用刚用过的滤镜. Ctrl+Shift+F--退去上次用过的滤镜或调整的效果或改变合成的模式. 99.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjv3np.html" rel="bookmark" class="title">asp&period;net使用npoi读取excel模板并导出下载详解</a>
					<div>
						 这篇文章主要介绍了asp.net使用npoi读取excel模板并导出下载的示例,大家参考使用吧 为什么要使用NPOI导出Excel?   一.解决传统操作Excel遇到的问题:   如果是.NET, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k3XZz.html" rel="bookmark" class="title">word表格怎么设置背景&quest;</a>
					<div>
						  word表格怎么设置背景? 1.在word文档中绘制好表格,这里以课程表为例进行讲解,刚绘制好的表格白纸黑字,毫无视觉感. 2.找合适的背景图片,网上有很多漂亮的图片,找到后存到桌面,方便查找.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oY9mb.html" rel="bookmark" class="title">怎么样才能让win7系统的桌面出现本地连接</a>
					<div>
						小编刚刚换win7系统的时候,由于没人教而且自己也挺懂系统的,所以啊为了面子,半天找不到本地连接也只能自己默默的找啊找.最后真的找不到啊. 1 小编为什么要找本地连接: 因为小编的电脑只能上QQ,不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGP73b.html" rel="bookmark" class="title">移花接木软件怎么用？</a>
					<div>
						  移花接木软件 什么是移花接木软件? 移花接木是一款键盘键位修改,效率提升利器.通过它可以将指定键修改成键盘上任意其他的键位,以适应自己的使用习惯,当然你也可以赋予它更多的功能. 移花接木软件使用方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLm2Wkz.html" rel="bookmark" class="title">大数据云计算项目解决方案求助</a>
					<div>
						问题描述 需求如下:前提:mysql数据库里面有3000万条数据,有效数据(需要处理的数据)约为10%,月增长率为300万条需求:1.需求是一次性查询出源数据中有效数据300万条逐条执行,根据表中具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo6wmb.html" rel="bookmark" class="title">面试入职工作感悟：在阿里的那些风花雪月的日子</a>
					<div>
						之前看了提供的如何拿到阿里技术offer专题,感觉除了面试过程之外,还有很多问题想问面试者,为啥选择面试阿里,朋友家人对面试阿里怎么看,入职阿里之后和自己想象的有什么不同?所以这次又开了系列帖子,将这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxALWb.html" rel="bookmark" class="title">Python Web 应用：WSGI基础</a>
					<div>
						在Django,Flask,Bottle和其他一切Python web 框架底层的是Web Server Gateway Interface,简称WSGI.WSGI对Python来说就像 Servle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3605z.html" rel="bookmark" class="title">listview-ArrayAdapter报出NullPointerException异常</a>
					<div>
						问题描述 ArrayAdapter报出NullPointerException异常 在Activity中有一个listview.listview中使用arrayAdapter布局填充.array Ad ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP7RZp.html" rel="bookmark" class="title">itext 每一个PdfPTable完整显示在同一个页面</a>
					<div>
						问题描述 itext 每一个PdfPTable完整显示在同一个页面 如题,我想用itext生成一份pdf,但是我想让每一个PdfPTable都完整地显示在 同一个页面上而不是分页.PdfPTable可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YVkKM.html" rel="bookmark" class="title">mini2440 led驱动 gpio接口连线</a>
					<div>
						问题描述 mini2440 led驱动 gpio接口连线 mini2440开发板linux系统下的控制led实验,控制用户led,分别对应的是gpb5.gpb6.gpb7.gpb8,成功了.随后我修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AZ94z.html" rel="bookmark" class="title">数据结构 单链表-关于稀疏多项式的创建</a>
					<div>
						问题描述 关于稀疏多项式的创建 算法描述如图,但是不知道这个q的作用,求大神详细解答一下. 解决方案 i=0时: pre=P;//此时pre指针指向头结点 q=P-&gt;next;//q被赋值成NU ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRnWVb.html" rel="bookmark" class="title">Panic自己开发出一款基于iBeacon的签到软件PunchClock</a>
					<div>
						摘要: 对于一家需要考勤的互联网公司来说,如果不搞点有技术含量的打卡方式出来,估计都不好意思向人承认公司还需要考勤吧. 最近一家国外的软件开发公司Panic就自己开发出了一款基于 对于一家需要考勤的互 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWl9Brp.html" rel="bookmark" class="title">5G揭幕前的抢跑和焦虑</a>
					<div>
						2月底,借助在西班牙巴塞罗那举行的世界移动通信大会(MWC)契机,包括高通.英特尔.华为.三星.爱立信.诺基亚.中兴等全球主流科技公司,以及福特.标致等汽车厂商和一大批科技创业公司,联袂主导了一场科技 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R9P6z.html" rel="bookmark" class="title">盘点微软CEO纳德拉十大有趣事实</a>
					<div>
						苹果公司首席执行官蒂姆·库克(Tim Cook)的印度之行还在继续,微软首席执行官萨蒂亚·纳德拉(Satya Nadella)也将于5月30日前往印度.这将是2014年2月份接掌微软以来,纳德拉第三次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0mPjp.html" rel="bookmark" class="title">如何在web 使用下载来的ocx 与cab&comma;并且在工具箱中调用&quest;</a>
					<div>
						问题描述 各位老师,我想制作web报表,所以在网上下载了第三方的报表控件,下载来是里面有一个ocx和一个cab文件,请问我应该如何在vs.net的工具箱中调用呢?谢谢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeokyAM.html" rel="bookmark" class="title">现在最流行的四种骗术</a>
					<div>
						虽说防骗是老生常谈的话题,可无所不在的骗子和他们不断翻新的&quot;骗技&quot;,还是让人防不胜防.与骗子的&quot;心理战&quot;究竟要怎么打,才能做到&quot;魔高一尺,道高一丈&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eOwJb.html" rel="bookmark" class="title">Linux中chkconfig使用介绍</a>
					<div>
						Linux chkconfig概述 Linux chkconfig命令主要用来更新(启动或停止)和查询系统服务的运行级信息.谨记chkconfig不是立即自动禁止或激活一个服务,它只是简单的改变了符号 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZBr3b.html" rel="bookmark" class="title">CNNIC关于域名争议解决程序规则二</a>
					<div>
						第二章 文件的提交与送达      第四条 域名争议案件文件的提交应当遵守以下原则:     (一)域名争议解决机构向一方当事人传送的任何文件,必须同时向另一方当事人传送副本:     (二)专家组传 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvWGLNp.html" rel="bookmark" class="title">淘宝&OpenCurlyDoubleQuote;一元拍&rdquo;20件玉器18件仿制</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/79 250.html&quot;&gt;本报记者万静 北京律师董正伟近日向国家工商总局递交的&quot;淘宝网 假冒伪 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wZv4z.html" rel="bookmark" class="title">纸媒&OpenCurlyDoubleQuote;黄昏&rdquo;行军图：善用网络或可迎来黎明</a>
					<div>
						报纸会消失吗?多年来,关于&quot;新媒体冲击传统媒体&quot;的话题一直讨论不休.随着移动互联网的兴起, 各类新媒体凭借免费.互动性强.草根化等优势,不断蚕食传统市场,对传统媒体咄咄相逼.目前, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.037 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
